Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network37.2.4.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
37.2.4.0
Broadcast address
37.2.7.255
First usable
37.2.4.1
Last usable
37.2.7.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 25020400 · Integer 620889088 to 620890111
Reverse DNS zones
4.2.37.in-addr.arpa
5.2.37.in-addr.arpa
6.2.37.in-addr.arpa
7.2.37.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100101.00000010.00000100.0000000037.2.4.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00100101.00000010.00000100.0000000037.2.4.0
Broadcast00100101.00000010.00000111.1111111137.2.7.255
Split into smaller subnets/28

37.2.4.0/22 makes 64 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
137.2.4.0/2837.2.4.1 to 37.2.4.1437.2.4.1514
237.2.4.16/2837.2.4.17 to 37.2.4.3037.2.4.3114
337.2.4.32/2837.2.4.33 to 37.2.4.4637.2.4.4714
437.2.4.48/2837.2.4.49 to 37.2.4.6237.2.4.6314
537.2.4.64/2837.2.4.65 to 37.2.4.7837.2.4.7914
637.2.4.80/2837.2.4.81 to 37.2.4.9437.2.4.9514
737.2.4.96/2837.2.4.97 to 37.2.4.11037.2.4.11114
837.2.4.112/2837.2.4.113 to 37.2.4.12637.2.4.12714
937.2.4.128/2837.2.4.129 to 37.2.4.14237.2.4.14314
1037.2.4.144/2837.2.4.145 to 37.2.4.15837.2.4.15914
1137.2.4.160/2837.2.4.161 to 37.2.4.17437.2.4.17514
1237.2.4.176/2837.2.4.177 to 37.2.4.19037.2.4.19114
1337.2.4.192/2837.2.4.193 to 37.2.4.20637.2.4.20714
1437.2.4.208/2837.2.4.209 to 37.2.4.22237.2.4.22314
1537.2.4.224/2837.2.4.225 to 37.2.4.23837.2.4.23914
1637.2.4.240/2837.2.4.241 to 37.2.4.25437.2.4.25514
1737.2.5.0/2837.2.5.1 to 37.2.5.1437.2.5.1514
1837.2.5.16/2837.2.5.17 to 37.2.5.3037.2.5.3114
1937.2.5.32/2837.2.5.33 to 37.2.5.4637.2.5.4714
2037.2.5.48/2837.2.5.49 to 37.2.5.6237.2.5.6314
2137.2.5.64/2837.2.5.65 to 37.2.5.7837.2.5.7914
2237.2.5.80/2837.2.5.81 to 37.2.5.9437.2.5.9514
2337.2.5.96/2837.2.5.97 to 37.2.5.11037.2.5.11114
2437.2.5.112/2837.2.5.113 to 37.2.5.12637.2.5.12714
2537.2.5.128/2837.2.5.129 to 37.2.5.14237.2.5.14314
2637.2.5.144/2837.2.5.145 to 37.2.5.15837.2.5.15914
2737.2.5.160/2837.2.5.161 to 37.2.5.17437.2.5.17514
2837.2.5.176/2837.2.5.177 to 37.2.5.19037.2.5.19114
2937.2.5.192/2837.2.5.193 to 37.2.5.20637.2.5.20714
3037.2.5.208/2837.2.5.209 to 37.2.5.22237.2.5.22314
3137.2.5.224/2837.2.5.225 to 37.2.5.23837.2.5.23914
3237.2.5.240/2837.2.5.241 to 37.2.5.25437.2.5.25514
3337.2.6.0/2837.2.6.1 to 37.2.6.1437.2.6.1514
3437.2.6.16/2837.2.6.17 to 37.2.6.3037.2.6.3114
3537.2.6.32/2837.2.6.33 to 37.2.6.4637.2.6.4714
3637.2.6.48/2837.2.6.49 to 37.2.6.6237.2.6.6314
3737.2.6.64/2837.2.6.65 to 37.2.6.7837.2.6.7914
3837.2.6.80/2837.2.6.81 to 37.2.6.9437.2.6.9514
3937.2.6.96/2837.2.6.97 to 37.2.6.11037.2.6.11114
4037.2.6.112/2837.2.6.113 to 37.2.6.12637.2.6.12714
4137.2.6.128/2837.2.6.129 to 37.2.6.14237.2.6.14314
4237.2.6.144/2837.2.6.145 to 37.2.6.15837.2.6.15914
4337.2.6.160/2837.2.6.161 to 37.2.6.17437.2.6.17514
4437.2.6.176/2837.2.6.177 to 37.2.6.19037.2.6.19114
4537.2.6.192/2837.2.6.193 to 37.2.6.20637.2.6.20714
4637.2.6.208/2837.2.6.209 to 37.2.6.22237.2.6.22314
4737.2.6.224/2837.2.6.225 to 37.2.6.23837.2.6.23914
4837.2.6.240/2837.2.6.241 to 37.2.6.25437.2.6.25514
4937.2.7.0/2837.2.7.1 to 37.2.7.1437.2.7.1514
5037.2.7.16/2837.2.7.17 to 37.2.7.3037.2.7.3114
5137.2.7.32/2837.2.7.33 to 37.2.7.4637.2.7.4714
5237.2.7.48/2837.2.7.49 to 37.2.7.6237.2.7.6314
5337.2.7.64/2837.2.7.65 to 37.2.7.7837.2.7.7914
5437.2.7.80/2837.2.7.81 to 37.2.7.9437.2.7.9514
5537.2.7.96/2837.2.7.97 to 37.2.7.11037.2.7.11114
5637.2.7.112/2837.2.7.113 to 37.2.7.12637.2.7.12714
5737.2.7.128/2837.2.7.129 to 37.2.7.14237.2.7.14314
5837.2.7.144/2837.2.7.145 to 37.2.7.15837.2.7.15914
5937.2.7.160/2837.2.7.161 to 37.2.7.17437.2.7.17514
6037.2.7.176/2837.2.7.177 to 37.2.7.19037.2.7.19114
6137.2.7.192/2837.2.7.193 to 37.2.7.20637.2.7.20714
6237.2.7.208/2837.2.7.209 to 37.2.7.22237.2.7.22314
6337.2.7.224/2837.2.7.225 to 37.2.7.23837.2.7.23914
6437.2.7.240/2837.2.7.241 to 37.2.7.25437.2.7.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses